Bug 188368 - Add CEReactions=NotNeeded on all the relevant IDL files
Summary: Add CEReactions=NotNeeded on all the relevant IDL files
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on: 187851
Blocks: 154907
  Show dependency treegraph
 
Reported: 2018-08-06 17:14 PDT by Ryosuke Niwa
Modified: 2018-11-30 11:59 PST (History)
5 users (show)

See Also:


Attachments
Patch (extracting changes and rebasing attachment 345839) (60.03 KB, patch)
2018-08-07 01:50 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews202 for win-future (12.84 MB, application/zip)
2018-08-16 17:11 PDT, Build Bot
no flags Details
Updated for trunk (63.40 KB, patch)
2018-11-29 20:48 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Updated for trunk (63.39 KB, patch)
2018-11-29 20:52 PST, Ryosuke Niwa
koivisto: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2018-08-06 17:14:38 PDT
Now that we have CEReactions=NotNeeded implemented in https://trac.webkit.org/changeset/234636,
we should mark all relevant IDL attributes, methods, getters, setters, etc... as such.
Comment 1 Radar WebKit Bug Importer 2018-08-06 17:15:01 PDT
<rdar://problem/42987753>
Comment 2 Frédéric Wang (:fredw) 2018-08-07 01:28:39 PDT
(In reply to Ryosuke Niwa from comment #0)
> Now that we have CEReactions=NotNeeded implemented in
> https://trac.webkit.org/changeset/234636,
> we should mark all relevant IDL attributes, methods, getters, setters,
> etc... as such.

OK, this is the painful part ;-) For attachment 345839 [details], I checked the idl in the spec one by one and added the extended attributes manually. Maybe we want to do it in a more automated way...
Comment 3 Frédéric Wang (:fredw) 2018-08-07 01:50:32 PDT
Created attachment 346695 [details]
Patch (extracting changes and rebasing attachment 345839 [details])
Comment 4 Ryosuke Niwa 2018-08-07 22:15:03 PDT
Comment on attachment 346695 [details]
Patch (extracting changes and rebasing attachment 345839 [details])

View in context: https://bugs.webkit.org/attachment.cgi?id=346695&action=review

> Source/WebCore/html/HTMLElement.idl:65
>      [Conditional=IOS_AUTOCORRECT_AND_AUTOCAPITALIZE] attribute boolean autocorrect;

We need CEReactions here too for autocorrect content attribute.

> Source/WebCore/html/HTMLElement.idl:66
> -    [Conditional=IOS_AUTOCORRECT_AND_AUTOCAPITALIZE] attribute [TreatNullAs=EmptyString] DOMString autocapitalize;
> +    [CEReactions, Conditional=IOS_AUTOCORRECT_AND_AUTOCAPITALIZE] attribute [TreatNullAs=EmptyString] DOMString autocapitalize;

We need a test for this. We should probably make this change in a separate patch.

> Source/WebCore/html/HTMLInputElement.idl:91
>      [Reflect] attribute boolean incremental;

We should probably add CEReactions=NotNeeded on apparently non-standard IDL attribute.

> Source/WebCore/html/HTMLLinkElement.idl:44
>      [Reflect] attribute DOMString nonce;

nonce content attribute should have CEReactions=NotNeeded even though the spec doesn't say that:
https://html.spec.whatwg.org/multipage/urls-and-fetching.html#nonce-attributes
Filed https://github.com/whatwg/html/issues/3887

> Source/WebCore/html/HTMLMediaElement.idl:96
>      attribute boolean webkitPreservesPitch;

Non-standard mediaGroup below should have CEReactions=NotNeeded as well.

> Source/WebCore/html/HTMLPreElement.idl:27
>      [Reflect] attribute boolean wrap;

Need CEReactions=NotNeeded on this extension.

> Source/WebCore/html/HTMLScriptElement.idl:31
>      [Reflect] attribute DOMString nonce;

We should add CEReactions=NotNeeded here as well.

> Source/WebCore/html/HTMLStyleElement.idl:27
>      readonly attribute StyleSheet sheet;

Ditto about adding CEReactions=NotNeeded to the nonce IDL attribute below.

> Source/WebCore/html/HTMLTextAreaElement.idl:39
> +    [CEReactions=NotNeeded] attribute [TreatNullAs=EmptyString] DOMString value;

This is probably a spec bug: https://github.com/whatwg/html/issues/3889
textarea.value never mutates DOM.
Comment 5 Build Bot 2018-08-16 17:11:41 PDT
Comment on attachment 346695 [details]
Patch (extracting changes and rebasing attachment 345839 [details])

Attachment 346695 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8885960

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-video.html
Comment 6 Build Bot 2018-08-16 17:11:53 PDT
Created attachment 347327 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 7 Ryosuke Niwa 2018-11-29 20:48:45 PST
Created attachment 356119 [details]
Updated for trunk
Comment 8 Ryosuke Niwa 2018-11-29 20:52:13 PST
Created attachment 356121 [details]
Updated for trunk
Comment 9 Frédéric Wang (:fredw) 2018-11-29 21:24:23 PST
I completely forget about this. I can r+ if you need a rubber stamp but maybe someone else should review.
Comment 10 Antti Koivisto 2018-11-30 08:53:29 PST
Comment on attachment 356121 [details]
Updated for trunk

rs=me
Comment 11 Ryosuke Niwa 2018-11-30 11:48:08 PST
Thanks for patch, Frédéric & thanks for the rubber-stamp, Antti!
Comment 12 Ryosuke Niwa 2018-11-30 11:59:35 PST
Committed r238748: <https://trac.webkit.org/changeset/238748>